Subject: bug#22120: closed (Re: bug#22120: Another backtrace)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 24 Dec 2015 16:13:01 +0000

Your bug report

#22120: 25.1.50; segfault while running circe

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22120: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22120
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22120: Another backtrace
From: Eli Zaretskii <[email-masked]>
To: Eric Hanchrow <[email-masked]>
Cc: [email-masked]
Date: Thu, 24 Dec 2015 18:12:53 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Eric Hanchrow <[email-masked]>
> Date: Thu, 24 Dec 2015 03:24:26 +0000
> Cc: [email-masked]
> 
> I don't think I've seen a segfault since I made this change -- it must have
> worked around the problem.

Thanks, closing.

Subject: 25.1.50; segfault while running circe
From: Eric Hanchrow <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 08 Dec 2015 20:19:11 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I don't remember exactly what I did, but (since I'd seen this problem
before), I'd started emacs under gdb.  I was using the circe IRC client
via M-x circe RET.  I don't think I'd typed anything immediately before
emacs crashed.

In GNU Emacs 25.1.50.1 (x86_64-unknown-linux-gnu)
 of 2015-12-07
Repository revision: 6148555ee5a3d0139ae517803718b3e0357933c7
Configured using:
 'configure --enable-checking --enable-check-lisp-object-type
 --config-cache 'CFLAGS=-Og -g3''

Configured features:
SOUND NOTIFY LIBSELINUX LIBXML2 ZLIB

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message dired format-spec
rfc822 mml mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail regexp-opt rfc2047 rfc2045
ietf-drums mm-util help-fns mail-prsvr mail-utils term/xterm xterm
byte-opt gv bytecomp byte-compile cl-extra help-mode easymenu
cl-loaddefs pcase cl-lib cconv time-date mule-util tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type tabulated-list
newcomment elisp-mode lisp-mode prog-mode register page menu-bar
rfn-eshadow timer select mouse jit-lock font-lock syntax facemenu
font-core frame cl-generic cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
charscript case-table epa-hook jka-cmpr-hook help simple abbrev obarray
minibuffer cl-preloaded nadvice loaddefs button faces cus-face macroexp
files text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote inotify multi-tty
make-network-process emacs)

Memory information:
((conses 16 120081 4220)
 (symbols 48 27737 0)
 (miscs 40 39 99)
 (strings 32 31794 4135)
 (string-bytes 1 568797)
 (vectors 16 9778)
 (vector-slots 8 383643 2601)
 (floats 8 126 564)
 (intervals 56 176 1)
 (buffers 976 11)
 (heap 1024 25898 831))